## maas 0.1+bzr232+dfsg

=== Makefile ===
PYTHON = python2.7

build: \
    bin/buildout \
    bin/maas bin/test.maas \
    bin/twistd.pserv bin/test.pserv \
    bin/py bin/ipy

all: build doc

bin/buildout: bootstrap.py distribute_setup.py
	$(PYTHON) bootstrap.py --distribute --setup-source distribute_setup.py
	@touch --no-create $@  # Ensure it's newer than its dependencies.

bin/maas: bin/buildout buildout.cfg setup.py
	bin/buildout install maas
	@touch --no-create $@

bin/test.maas: bin/buildout buildout.cfg setup.py
	bin/buildout install maas-test
	@touch --no-create $@

bin/twistd.pserv: bin/buildout buildout.cfg setup.py
	bin/buildout install pserv
	@touch --no-create $@

bin/test.pserv: bin/buildout buildout.cfg setup.py
	bin/buildout install pserv-test
	@touch --no-create $@

bin/flake8: bin/buildout buildout.cfg setup.py
	bin/buildout install flake8
	@touch --no-create $@

bin/sphinx: bin/buildout buildout.cfg setup.py
	bin/buildout install sphinx
	@touch --no-create $@

bin/py bin/ipy: bin/buildout buildout.cfg setup.py
	bin/buildout install repl
	@touch --no-create bin/py bin/ipy

dev-db:
	utilities/maasdb start ./db/ disposable

test: bin/test.maas bin/test.pserv
	bin/test.maas
	bin/test.pserv

lint: sources = setup.py src templates utilities
lint: bin/flake8
	@bin/flake8 $(sources) | \
	    (! egrep -v "from maas[.](settings|development) import [*]")

check: clean test

docs/api.rst: bin/maas src/maasserver/api.py
	bin/maas generate_api_doc > $@

sampledata: bin/maas syncdb
	bin/maas loaddata src/maasserver/fixtures/dev_fixture.yaml

doc: bin/sphinx docs/api.rst
	bin/sphinx

clean:
	find . -type f -name '*.py[co]' -print0 | xargs -r0 $(RM)
	find . -type f -name '*~' -print0 | xargs -r0 $(RM)

distclean: clean pserv-stop
	utilities/maasdb delete-cluster ./db/
	$(RM) -r eggs develop-eggs
	$(RM) -r bin build dist logs parts
	$(RM) tags TAGS .installed.cfg
	$(RM) -r *.egg *.egg-info src/*.egg-info
	$(RM) docs/api.rst
	$(RM) -r docs/_build/

pserv.pid: bin/twistd.pserv
	bin/twistd.pserv --pidfile=$@ maas-pserv --config-file=etc/pserv.yaml

pserv-start: pserv.pid

pserv-stop:
	{ test -e pserv.pid && cat pserv.pid; } | xargs --no-run-if-empty kill

run: bin/maas dev-db pserv.pid
	bin/maas runserver 8000 --settings=maas.demo

harness: bin/maas dev-db
	bin/maas shell

syncdb: bin/maas dev-db
	bin/maas syncdb --noinput

.PHONY: \
    build check clean dev-db distclean doc \
    harness lint pserv-start pserv-stop run \
    syncdb test sampledata

## maas 0.1~bzr146+dfsg

=== debian/changelog ===
maas (0.1~bzr146+dfsg-0ubuntu1) precise; urgency=low

  * Initial release

 -- Julian Edwards <julian.edwards@canonical.com>  Thu, 16 Jan 2012 15:29:07 +0000

=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8), python-all (>= 2.7), python-distribute
Standards-Version: 3.9.2
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Depends: postgresql-9.1,
         psycopg2 (= 2.4.1),
         python-django,
         python-django-piston,
         python-django-south,
         python-setproctitle,
         python-sphinx,
         python-twisted,
         python-zope.interface,
         rabbitmq-server,
         ${misc:Depends},
         ${python:Depends}
Description: The next step in the development of orchestra.
 It provides an easy to use UI to provision your Ubuntu servers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	bzr export -r $(REV) --root=maas-$(VER).orig \
             maas_$(VER).orig.tar.gz lp:maas
	rm -rf maas-$(VER)
	tar -xf maas_$(VER).orig.tar.gz
	rm maas_$(VER).orig.tar.gz
	rm maas-$(VER).orig/src/maasserver/static/js/yui/3.4.1/uploader/assets/uploader.swf
	rm maas-$(VER).orig/src/maasserver/static/js/yui/3.4.1/io-xdr/io.swf
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
                        -f maas_$(VER).orig.tar.gz \
                        maas-$(VER).orig
	rm -r maas-$(VER).orig

## maas 0.1+bzr171+dfsg

=== debian/changelog ===
maas (0.1+bzr171+dfsg-0ubuntu1) precise; urgency=low

  * New upstream snapshot, post 0.1 release.
  * debian/control: 
    - Drop depends on rabbitmq-server, no longer required.
    - Drop versioning of depends psycopg2, no longer required.
  * debian/watch: Introduced watch file.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 17 Feb 2012 15:25:14 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: maas
 Architecture: all
 Depends: postgresql-9.1,
-         psycopg2 (= 2.4.1),
+         psycopg2,
          python-django,
          python-django-piston,
          python-django-south,
@@ -18,7 +18,6 @@
          python-sphinx,
          python-twisted,
          python-zope.interface,
-         rabbitmq-server,
          ${misc:Depends},
          ${python:Depends}
 Description: The next step in the development of orchestra.

## maas 0.1+bzr232+dfsg

=== debian/changelog ===
maas (0.1+bzr232+dfsg-0ubuntu1) precise; urgency=low

  * New upstream snapshot.

  [ Dave Walker ]
  * debian/control:
    - Changed depends from psycopg2 to python-psycopg2 and dropped versioning.
      - LP: #937982 

  [ Andres Rodriguez ]
  * debian/maas.install: Install maas-import-isos and related files.
  * Integrate squid3 as proxy solution:
    - debian/extras/squid.conf: Added
    - debian/control: Depend on squid3.
    - debian/maas.{postinst,postrm}: Handle installation/removal of custom
      squid config file.
  * Split into different binary packages (maas,python-django-maas).
    - debian/maas.postinst: Handle the apache2 configuration.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 07 Mar 2012 12:46:17 -0500

=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8), python-dev (>= 2.7), python-distribute
Standards-Version: 3.9.2
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         apache2,
         postgresql-9.1,
         python-django,
         python-django-maas (>= ${binary:Version}),
         python-django-piston,
         python-django-south,
         squid3
Description: The next step in the development of orchestra.
 It provides an easy to use UI to provision your Ubuntu servers.

Package: python-django-maas
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-oops-wsgi,
         python-psycopg2,
         python-setproctitle,
         python-sphinx,
         python-twisted,
         python-txamqp,
         python-zope.interface
Description: The next step in the development of Orchestra.
 It provides an easy to use UI to provision your Ubuntu servers.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,16 @@
 
 %:
 	dh $@ --with python2 --buildsystem=python_distutils
+
+override_dh_auto_install:
+	dh_auto_install
+
+	# Copy the local config file
+	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/maas
+	cp $(CURDIR)/contrib/maas_local_settings_sample.py \
+                $(CURDIR)/debian/tmp/usr/share/maas/maas_local_settings.py
+
+	dh_install --list-missing
 
 DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
 REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \

## maas 0.1+bzr295+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
     bin/buildout \
     bin/maas bin/test.maas \
     bin/twistd.pserv bin/test.pserv \
+    bin/twistd.txlongpoll \
     bin/py bin/ipy
 
 all: build doc
@@ -28,6 +29,10 @@
 	bin/buildout install pserv-test
 	@touch --no-create $@
 
+bin/twistd.txlongpoll: bin/buildout buildout.cfg setup.py
+	bin/buildout install txlongpoll
+	@touch --no-create $@
+
 bin/flake8: bin/buildout buildout.cfg setup.py
 	bin/buildout install flake8
 	@touch --no-create $@
@@ -49,8 +54,7 @@
 
 lint: sources = setup.py src templates utilities
 lint: bin/flake8
-	@bin/flake8 $(sources) | \
-	    (! egrep -v "from maas[.](settings|development) import [*]")
+	@bin/flake8 $(sources)
 
 check: clean test
 
@@ -66,34 +70,52 @@
 clean:
 	find . -type f -name '*.py[co]' -print0 | xargs -r0 $(RM)
 	find . -type f -name '*~' -print0 | xargs -r0 $(RM)
+	$(RM) -r media/demo/* media/development
 
-distclean: clean pserv-stop
+distclean: clean pserv-stop txlongpoll-stop
 	utilities/maasdb delete-cluster ./db/
 	$(RM) -r eggs develop-eggs
-	$(RM) -r bin build dist logs parts
+	$(RM) -r bin build dist logs/* parts
 	$(RM) tags TAGS .installed.cfg
 	$(RM) -r *.egg *.egg-info src/*.egg-info
 	$(RM) docs/api.rst
 	$(RM) -r docs/_build/
 
-pserv.pid: bin/twistd.pserv
-	bin/twistd.pserv --pidfile=$@ maas-pserv --config-file=etc/pserv.yaml
+run/pserv.pid: | bin/twistd.pserv etc/pserv.yaml
+	bin/twistd.pserv --logfile=/dev/null --pidfile=$@ \
+	    maas-pserv --config-file=etc/pserv.yaml
 
-pserv-start: pserv.pid
+pserv-start: run/pserv.pid
 
+pserv-stop: pidfile=run/pserv.pid
 pserv-stop:
-	{ test -e pserv.pid && cat pserv.pid; } | xargs --no-run-if-empty kill
+	{ test -e $(pidfile) && cat $(pidfile); } | xargs --no-run-if-empty kill
 
-run: bin/maas dev-db pserv.pid
-	bin/maas runserver 8000 --settings=maas.demo
+run/txlongpoll.pid: | bin/twistd.txlongpoll etc/txlongpoll.yaml
+	bin/twistd.txlongpoll --logfile=/dev/null --pidfile=$@ \
+	    txlongpoll --config-file=etc/txlongpoll.yaml
+
+txlongpoll-start: run/txlongpoll.pid
+
+txlongpoll-stop: pidfile=run/txlongpoll.pid
+txlongpoll-stop:
+	{ test -e $(pidfile) && cat $(pidfile); } | xargs --no-run-if-empty kill
+
+run: bin/maas dev-db run/pserv.pid run/txlongpoll.pid
+	bin/maas runserver 0.0.0.0:8000 --settings=maas.demo
 
 harness: bin/maas dev-db
-	bin/maas shell
+	bin/maas shell --settings=maas.demo
 
 syncdb: bin/maas dev-db
 	bin/maas syncdb --noinput
 
+checkbox: config=checkbox/plugins/jobs_info/directories=$(PWD)/qa/checkbox
+checkbox:
+	checkbox-gtk --config=$(config) --whitelist-file=
+
 .PHONY: \
-    build check clean dev-db distclean doc \
+    build check checkbox clean dev-db distclean doc \
     harness lint pserv-start pserv-stop run \
+    txlongpoll-start txlongpoll-stop \
     syncdb test sampledata

=== debian/changelog ===
maas (0.1+bzr295+dfsg-0ubuntu2) precise; urgency=low

  * debian/patches:
    - 01-fix-database-settings.patch: Update to set PSERV_URL.
    - 02-pserv-config.patch: Set port to 8001.
  * debian/maas.postinst: Run maas-import-isos on install.
  * debian/control: Depends on rabbitmq-server.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 15 Mar 2012 18:14:08 -0400

maas (0.1+bzr295+dfsg-0ubuntu1) precise; urgency=low

  * debian/maas.upstart: Specify pidfile and conffile.
  * debian/maas.postinst:
    - Only run syncdb if dbconfig postinst file exists.
    - Fix file permissions.
  * debian/maas.{postrm,prerm}: Add dbconfig-common support.
  * Add txlongpoll support for packaging:
    - debian/control: Depends on python-txlongpoll.
    - debian/maas.maas-longpoll.upstart: Added to start txlongpoll.
    - debian/maas.install: Install txlongpoll.yaml
  * debian/extras/maas: Improvements.
  * debian/maas.maas.upstart: Moved from debian/maas.upstart.
  * debian/maas.postinst: Touch logfile to set correct permissions (LP: #955400)
  * debian/maas.logrotate: Add.
  * debian/patches/03-txlongpoll-config.patch: Add default settings.
  * debian/maas.config: Only run dbconfig-common on configure/reconfigure.
  * Install maas_local_settings.py in /etc/maas and symlink to usr/share/maas
  * Update references from MaaS to MAAS.
  * Remove podebconf as templates no longer exist.
    - debian/po: Remove.
    - debian/control: Drop Build-Depends on po-debconf

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 15 Mar 2012 15:28:14 -0400

maas (0.1+bzr266+dfsg-0ubuntu1) precise; urgency=low

  * Remove support for squid3 and use squid-deb-proxy instead.
  * debian/extras/maas: Add to handle syncdb and creation of admin user.
  * Add debconf questions to ask for user/pass:
    - debian/maas.{template,config}: Add
    - debian/maas.postinst: Ask debconf questions.
    - debian/po: Add translation templates.i
  * debian/maas.postinst: Enable wsgi module; drop squid3 steps.
  * debian/maas.postrm: removed.
  * debian/patches/01-fix-database-settings.patch: Custom database settings
    and static files path.
  * debian/{rules,maas.install}: Install maas static files in
    'usr/share/maas/web/static'.
  * Integrate cobbler:
    - debian/maas.install: Install pserv twisted plugin, and config.
    - debian/maas.upstart: Created to start plugin daemon.
    - debian/patches/02-pserv-config.patch: Custom pserv config.
  * Integrate dbconfig-common:
    - debian/maas.config: Added and default user/pass and database.
    - debian/maas.{postinst,postrm}: Added handling for dbconfig-common
  * debian/control: Depends on python-convoy.
  * debian/rules: Update path to removal of dsfg files.
  * debian/patches/01-fix-database-settings.patch: Updated.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 13 Mar 2012 14:31:50 -0400

=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8), python (>= 2.7), python-distribute
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         apache2,
         cobbler,
         libapache2-mod-wsgi,
         postgresql-9.1,
         python-django,
         python-django-maas (>= ${binary:Version}),
         python-django-piston,
         python-django-south,
         pwgen,
         rabbitmq-server,
         run-one,
         squid-deb-proxy,
         dbconfig-common
Description: The next step in the development of orchestra.
 It provides an easy to use UI to provision your Ubuntu servers.

Package: python-django-maas
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-convoy,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-oops-wsgi,
         python-psycopg2,
         python-setproctitle,
         python-sphinx,
         python-twisted,
         python-txamqp,
         python-txlongpoll,
         python-zope.interface
Description: The next step in the development of Orchestra.
 It provides an easy to use UI to provision your Ubuntu servers.

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,22 @@
 %:
 	dh $@ --with python2 --buildsystem=python_distutils
 
+override_dh_installinit:
+	dh_installinit --name maas-pserv
+	dh_installinit --name maas-txlongpoll
+
 override_dh_auto_install:
 	dh_auto_install
 
 	# Copy the local config file
-	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/maas
+	install -d -m 755  $(CURDIR)/debian/tmp/etc/maas
 	cp $(CURDIR)/contrib/maas_local_settings_sample.py \
-                $(CURDIR)/debian/tmp/usr/share/maas/maas_local_settings.py
+                $(CURDIR)/debian/tmp/etc/maas/maas_local_settings.py
+
+	# Move static files
+	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/maas/web/static
+	mv $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/maasserver/static \
+                $(CURDIR)/debian/tmp/usr/share/maas/web/
 
 	dh_install --list-missing
 
@@ -24,8 +33,8 @@
 	rm -rf maas-$(VER)
 	tar -xf maas_$(VER).orig.tar.gz
 	rm maas_$(VER).orig.tar.gz
-	rm maas-$(VER).orig/src/maasserver/static/js/yui/3.4.1/uploader/assets/uploader.swf
-	rm maas-$(VER).orig/src/maasserver/static/js/yui/3.4.1/io-xdr/io.swf
+	rm maas-$(VER).orig/src/maasserver/static/jslibs/yui/3.4.1/build/uploader/assets/uploader.swf
+	rm maas-$(VER).orig/src/maasserver/static/jslibs/yui/3.4.1/build/io-xdr/io.swf
 	GZIP=--best tar -cz --owner root --group root --mode a+rX \
                         -f maas_$(VER).orig.tar.gz \
                         maas-$(VER).orig

## maas 0.1+bzr300+dfsg

=== Makefile ===
--- 
+++ 
@@ -102,7 +102,7 @@
 	{ test -e $(pidfile) && cat $(pidfile); } | xargs --no-run-if-empty kill
 
 run: bin/maas dev-db run/pserv.pid run/txlongpoll.pid
-	bin/maas runserver 0.0.0.0:8000 --settings=maas.demo
+	bin/maas runserver 0.0.0.0:5240 --settings=maas.demo
 
 harness: bin/maas dev-db
 	bin/maas shell --settings=maas.demo

## maas 0.1+bzr482+dfsg

=== Makefile ===
--- 
+++ 
@@ -52,13 +52,14 @@
 	bin/test.maas
 	bin/test.pserv
 
-lint: sources = setup.py src templates utilities
+lint: sources = contrib setup.py src templates twisted utilities
 lint: bin/flake8
-	@bin/flake8 $(sources)
+	@find $(sources) -name '*.py' ! -path '*/migrations/*' \
+	    -print0 | xargs -r0 bin/flake8
 
 check: clean test
 
-docs/api.rst: bin/maas src/maasserver/api.py
+docs/api.rst: bin/maas src/maasserver/api.py syncdb
 	bin/maas generate_api_doc > $@
 
 sampledata: bin/maas syncdb
@@ -109,13 +110,11 @@
 
 syncdb: bin/maas dev-db
 	bin/maas syncdb --noinput
-
-checkbox: config=checkbox/plugins/jobs_info/directories=$(PWD)/qa/checkbox
-checkbox:
-	checkbox-gtk --config=$(config) --whitelist-file=
+	bin/maas migrate maasserver --noinput
+	bin/maas migrate metadataserver --noinput
 
 .PHONY: \
-    build check checkbox clean dev-db distclean doc \
+    build check clean dev-db distclean doc \
     harness lint pserv-start pserv-stop run \
     txlongpoll-start txlongpoll-stop \
     syncdb test sampledata

=== debian/changelog ===
maas (0.1+bzr482+dfsg-0ubuntu1) precise-proposed; urgency=low

  * New upstream release (Fixes LP: #981103)
  * debian/maas.postinst:
    - Make sure rabbitmq and postgresql are started on upgrade (LP: #981282)
    - Handle upgrades from any lower than 0.1+bzr462+dfsg-0ubuntu1 to
      correctly re-generate passwords, and not have db sync/migrate issues
      as config has changed upstream.
    - Correctly set Passwords for PSERV, otherwise it won't set new passwords.
  * Allow MAAS_DEFAULT_URL reconfiguration. (LP: #980970)
    - debian/maas.config: Add reconfigure validation to correctly allow it,
      and ask a question.
    - debian/maas.postinst: Reconfigure DEFAULT_MAAS_URL as well as cobbler
      server and next_server for PXE/Provisioning.
    - debian/maas.templates: Add debconf question and update info.
  * Do not lose MAAS_DEFAULT_URL settings on upgrade (LP: #984309)
  * debian/maas.postinst:
    - Set cobbler password in between quotes (LP: #984427)
    - Do not change permissions to maas.log (LP: #980915)
  * no longer use maas-cloudimg2ephemeral, but rather use premade images 
    at http://maas.ubuntu.com

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 17 Apr 2012 23:44:46 -0700

maas (0.1+bzr462+dfsg-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #980240)

  [ Scott Moser ]
  * add dependency on distro-info (LP: #949442)
  * debian/control: add dependency on tgt for ephemeral iscsi environment

  [ Andres Rodriguez ]
  * Make package lintian clean:
    - maas{-dhcp}.lintian-overrides: Add to make lintian clean.
    - debian/control: Add missing dependencies; correct section and desc.
    - debian/maas.postinst: Do not use absolute path for rabbitmqctl.
    - debian/patches: Add headers to all patches.
  * debian/maas-dhcp.postrm: Added to disable dnsmasq in cobbler on removal.
  * debian/maas.config: Do not set a password with pwgen as it is not an
    essential package; allow dbconfig-common to create a password instead by
    creating an empty question. (LP: #977475)
  * Run MAAS, pserv, txlongpoll as non-root user. (LP: #975436)
    - debian/maas.postinst: Create user/group; set correct permissions for
      directories.
    - debian/maas.postrm: Remove user/group; restart apache2.
    - debian/maas.maas-{pserv,txlongpoll}.upstart: Update to run as non-root
      'maas' user.
  * debian/patches/01-fix-database-settings.patch: Remove adding of PSERV_URL.
  * debian/maas.postinst:
    - Handle config file upgrade from versions lower than 0.1+bzr445+dfsg-0ubuntu1,
      by creating new passwords and updating accordingly
    - use local variables in functions.
    - Handle maas tgt configuration for upgrades from 0.1+bzr459+dfsg-0ubuntu1.
  * debian/extras/99-maas: Add squid-deb-proxy file to enable PPAs. (LP: #979383)
  * debian/maas.install: Install missing commissioning-user-data script.

  [ Dave Walker (Daviey) ]
  * debian/patches/02-pserv-config.patch: Refreshed to apply to updated config.

  [ Gavin Panella ]
  * debian/maas.postinst: Update pserv.yaml and maas_local_settings.py to use
    password.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 12 Apr 2012 16:37:53 -0400

maas (0.1+bzr415+dfsg-0ubuntu2) precise; urgency=low

  * debian/maas-dhcp.{config,postinst}:
    - Fix not setting new values on fresh install. (LP: #975321)
    - Fix unsetting domain, otherwise, even if disabled, it will always be set.
  * debian/control: Depends on maas for maas-dhcp.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 06 Apr 2012 15:30:44 -0400

maas (0.1+bzr415+dfsg-0ubuntu1) precise; urgency=low

  * debian/control: Update package descriptions; Suggests maas-dhcp for maas
    and add a maas-dhcp binary.
  * Add maas-dhcp package to configure a DHCP server.
    - debian/maas-dhcp.config: Add to ask debconf questions about range,
      gateway, and domain.
    - debian/maas-dhcp.postinst: Handle update of config values.
    - debian/maas-dhcp.templates: Debconf questions.
  * debian/po: Update for templates.
  * Add message telling MAAS URL after installation.
    - debian/maas.templates: Add message.
    - debian/maas.postinst: Display message.
  * debian/maas.config: Hide dbconfig-install question.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 04 Apr 2012 14:47:13 -0400

maas (0.1+bzr400+dfsg-0ubuntu1) precise; urgency=low

  * debian/patches/{02-pserv-config,03-txlongpoll-config}.patch: Refreshed.
  * debian/maas.install: Install maas-gc cronjob.
  * Add apport hook.
    - debian/maas.apport: Add hook.
    - debian/rules: Install with apport.
  * debian/maas.logrotate: Add logrotate for txlongpoll and pserv logs.
  * Create 'var/lib/media/maas/storage' on postinst to have right permissions.
    - debian/maas.dirs: Drop dir creation.
    - debian/maas.postinst: Create dir with correct permissions.
    - debian/maas.postrm: Remove dir on purge.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 03 Apr 2012 14:50:34 -0400

maas (0.1+bzr378+dfsg-0ubuntu1) precise; urgency=low

  * maas.dirs: Create var/lib/maas/media/storage for juju storage.
  * maas.postinst:
    - Give correct permissions to above dir.
    - stop apache2 before db upgrade, and restart after.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 29 Mar 2012 19:28:13 -0400

maas (0.1+bzr363+dfsg-0ubuntu1) precise; urgency=low

  [ Dave Walker (Daviey) ]
  * debian/control: Add openssh-server as a Recommends, and wrap-and-sort. 

  [ Andres Rodriguez ]
  * debian/maas.postinst:
    - Do not start apache with apache2ctl. Use invoke-rc.d instead to not
      fail in the installer.
    - For start of postgresql before creating the DB, otherwise it will
      fail in the installer.
    - Add check of invoke-rc.d for syslog.
    - Add check of invoke-rc.d for rabbitmq-server; Add check for rabbitmqctl
    - Add db_stop, in case invoke-rc.d fails.
  * debian/control: Tight python-django-maas dependency.
  * debian/postrm: Add check for rabbitmqctl.


=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8), python (>= 2.7), python-distribute, dh-apport, po-debconf
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Depends: apache2,
         avahi-daemon,
         maas-provision (>= 2.2.2),
         dbconfig-common,
         distro-info,
         libapache2-mod-wsgi,
         postgresql-9.1,
         pwgen,
         python-django,
         python-django-maas (= ${binary:Version}),
         python-django-piston,
         python-django-south,
         rabbitmq-server,
         rsyslog,
         squid-deb-proxy,
         tgt,
         ${misc:Depends},
         ${python:Depends}
Recommends: openssh-server
Suggests: maas-dhcp
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.


Package: python-django-maas
Section: python
Architecture: all
Depends: python-avahi,
         python-convoy,
         python-dbus,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-oops-wsgi,
         python-psycopg2,
         python-sphinx,
         python-twisted,
         python-txamqp,
         python-txlongpoll,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Description: Ubuntu MAAS Server - (django files)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the Django files.

Package: maas-dhcp
Architecture: all
Depends: ${misc:Depends}, maas, debconf, dnsmasq
Description: Ubuntu MAAS Server - DHCP configuration (metapackage)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package configures a DHCP that can be used with MAAS.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2 --buildsystem=python_distutils
+	dh $@ --with python2,apport --buildsystem=python_distutils
 
 override_dh_installinit:
 	dh_installinit --name maas-pserv

=== debian/watch ===
version=3
http://launchpad.net/maas/+download https://launchpad.net/maas/.*/maas-(.*).tar.*

## maas 0.1+bzr1264+dfsg

=== debian/changelog ===
maas (0.1+bzr1264+dfsg-0ubuntu2) quantal; urgency=low

  * Fix MAAS not working after CD/preseed install (LP: #1065763)
    - debian/extras/maas-region-celeryd: Add wrapper to run celery from
      the upstart job.
    - debian/extras/maas-region-controller.maas-region-celery.upstart: Create
      rabbitmq user if it does not exists.
  * debian/control: Remove unneeded deps on python-txtftp for some binary pkgs.
  * debian/maas-region-controller.postinst: Minor fix referencing variable.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 11 Oct 2012 17:38:08 -0400

maas (0.1+bzr1264+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release.

  [ Raphaël Badin ]
  * debian/maas-region-controller.postinst: Enable proxy_http module.
  * debian/maas-cluster-controller.postinst: Create /var/lib/maas. (LP: #1065062)

  [ Andres Rodriguez ]
  * Install maas-provision with python-maas-provisioningserver (LP: #1065171):
    - debian/python-maas-provisioningserver.install: Install
    - debian/control: Add Conflicts/Replaces with maas-cluster-controller
      to handle upgrades.
  * debian/patches/04-fix-ipmi-enlistment.patch: Drop. Merged Upstream.
  * debian/control: Depends on maas-region-controller for maas-dns.
  * debian/maas-region-controller.postinst: Set the correct host for
    BROKER_URL (LP: #1065080)
  * Handle creation of user/group in maas-common.
  * debian/maas-region-controller.config: Always source dbconfig scripts.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 10 Oct 2012 11:17:21 -0400

maas (0.1+bzr1243+dfsg-0ubuntu3) quantal; urgency=low

  * 04-fix-ipmi-enlistment.patch: retry maas-enlist without power parameters
    on failure. This allows enlistment to continue working with Precise
    ephemeral images before the Precise SRU for maas-enlist lands.
    (LP: #1064922).

 -- Robie Basak <robie.basak@canonical.com>  Wed, 10 Oct 2012 13:29:16 +0000

maas (0.1+bzr1243+dfsg-0ubuntu2) quantal; urgency=low

  * debian/patches/99-ipmi-user-too-long.patch: Fix username too long for
    IPMI user created on enlistment (LP: #1064832)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 10 Oct 2012 01:00:29 -0400

maas (0.1+bzr1243+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release. (LP: #1064596)
  * debian/patches/99-temporary-fix-constraints.patch: Dropped.
  * debian/control:
    - ${python:Depends} for maas-common.
    - Add missing Depends for python-maas-provisioningserver (LP: #1064542)
  * debian/maas-cluster-controller.postinst: Create /var/log/maas if it
    doesn't exist (LP: #1064539)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 08 Oct 2012 17:02:56 -0400

maas (0.1+bzr1223+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release. (LP: #1062518)

  [ Julian Edwards ]
  * Split packaging of 'maas' into maas-{region,cluster}-controller
    - debian/control: Update accordingly.
    - debian/*.install: Move files accordingly
    - debian/*.{postinst,postrm,preinst}: Move files accordingly.
  * Ensure isc-dhcp-server is disabled when installing maas-dhcp.
  * Ensure maas-dns creates the maas user before trying to chown files.
  * Make maas-cluster-controller autoconfigure itself when upgrading from the
    old maas package. (LP: #1059416)
  * Add missing prerm file for maas-cluster-controller so that .pyc files
    are cleaned up. (LP: #1059973)

  [ Raphaël Badin ]
  * Install maas_local_celeryconfig.py in /etc/maas and symlink to
    /usr/share/maas.
  * debian/maas.postinst: Create rabbitmq celery user/vhost.
  * debian/maas.postinst: Update BROKER_URL in maas_local_celeryconfig.py.
  * Use maas_local_celeryconfig_cluster.py as the local celery
    configuration file for the cluster worker.
  * debian/maas-region-controller.maas-region-celery.upstart: Add region
    worker upstart script.
  * Rename cluster worker upstart script into
    maas-cluster-controller.maas-clluster-celery.upstart.
  * maas-cluster-controller.maas-celery.upstart: use "celeryconfig_cluster"
    as the Celery config module.
  * debian/maas-common.install: Install celeryconfig_common.py.
  * debian/maas-cluster-controller.install: Install celeryconfig_cluster.py.
  * debian/maas-region-controller.install: Install celeryconfig.py.
  * Split celery config into cluster and region configs.
  * Add region celeryd upstart config.
  * Define CELERY_CONFIG_MODULE in
    maas-cluster-controller.maas-cluster-celery.upstart

  [ Jeroen Vermeulen ]
  * Make maas_local_celery_config.py non-world readable.
  * Make maas_local_celeryconfig_cluster.py non-world readable.
  * Set root:maas ownership of local cluster config only *after*
    the maas user/group have been created

  [ Andres Rodriguez ]
  * debian/maas.postinst:
    - Always restart apache2.
    - Handle upgrades for new upstream release.
    - Handle upgrades for celery rabbitmq worker.
  * Add binary package to install client tool.
    - debian/extras/maas-cli: Add binary.
    - debian/maas-cli.install: Add. Install maascli and apiclient.
    - debian/control: Add binary package.
  * debian/control:
    - Depends on freeipmi-tools instead of ipmitool.
    - Conflicts/Replaces on maas for python-maas-client.
    - Depends on python-netifaces, python-lxml.
  * Add python-maas-client binary package:
    - debian/python-maas-client.install: Add. Install 'apiclient' python module.
    - debian/control: Add package. python-django-maas and maas-cli now
      Depend on it.
  * debian/rules: Install maas-dhcp-server upstart job.
  * debian/maas.postrm: Remove celery worker rabbitmq user and host.
  * debian/extras/99-maas-sudoers: Add for maas-dhcp-server upstart job
    instead of isc-dhcp-server (LP: #1055951)
  * debian/maas-region-controller.postinst: Cleanup upgrade rules.
  * debian/maas-cluster-controller.postinst: Fix 'local' usage.
  * debian/maas-common.install: Install celeryconfig in appropriate location.
  * debian/maas-cluster-controller.postrm: Add and delete maas user.


=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.1.0~),
               dh-apport,
               po-debconf,
               python (>= 2.7),
               python-distribute,
               python-django
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
XS-Testsuite: autopkgtest
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: maas-cluster-controller, maas-region-controller, python-django-maas
Conflicts: dnsmasq, maas-provision, tftpd-hpa
Replaces: maas-provision
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package installs a complete MAAS service on a single machine.

Package: maas-common
Architecture: all
Depends: ${python:Depends}
Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains common files

Package: maas-region-controller
Architecture: all
Depends: apache2,
         avahi-daemon,
         dbconfig-common,
         distro-info,
         libapache2-mod-wsgi,
         libjs-raphael,
         libjs-yui3-full,
         libjs-yui3-min,
         maas-common (= ${binary:Version}),
         postgresql-9.1,
         pwgen,
         python-django,
         python-django-maas (= ${binary:Version}),
         python-django-piston,
         python-django-south,
         python-maas-provisioningserver (= ${binary:Version}),
         rabbitmq-server,
         rsyslog,
         squid-deb-proxy,
         ${misc:Depends},
         ${python:Depends}
Recommends: openssh-server
Suggests: maas-dns
Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package installs the region controller services: the web
 UI and the database.

Package: python-maas-provisioningserver
Architecture: all
Depends: python-celery,
         python-formencode,
         python-lockfile,
         python-lxml,
         python-maas-client,
         python-netifaces,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-pyparsing,
         python-tempita,
         python-twisted-core,
         python-twisted-web,
         python-txamqp,
         python-txtftp,
         python-yaml,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Conflicts: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
Replaces: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the provisioning server libraries.

Package: maas-cli
Architecture: all
Depends: python-bzrlib,
         python-httplib2,
         python-maas-client (= ${binary:Version}),
         python-oauth,
         ${misc:Depends},
         ${python:Depends}
Description: Ubuntu MAAS Client Tool
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the client command line tool.

Package: python-maas-client
Architecture: all
Depends: python-oauth, ${misc:Depends}, ${python:Depends}
Conflicts: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
Replaces: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
Description: Ubuntu MAAS API Client - (python files)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the client API Python modules.

Package: maas-cluster-controller
Architecture: all
Depends: bind9utils,
         freeipmi-tools,
         maas-cli (=${binary:Version}),
         maas-common (=${binary:Version}),
         python-celery,
         python-httplib2,
         python-lockfile,
         python-maas-provisioningserver (=${binary:Version}),
         python-netaddr,
         python-oauth,
         python-tempita,
         python-twisted,
         python-zope.interface,
         rabbitmq-server,
         rsyslog,
         syslinux-common,
         tgt,
         uuid-runtime,
         wget,
         ${misc:Depends},
         ${python:Depends}
Suggests: maas-dhcp (= ${binary:Version})
Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Description: Ubuntu MAAS Cluster Controller
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the cluster controller, which is
 responsible for controlling remote DHCP/TFTP instances on their
 own subnets.

Package: python-django-maas
Section: python
Architecture: all
Depends: python-avahi,
         python-celery,
         python-convoy,
         python-dbus,
         python-lockfile,
         python-lxml,
         python-maas-client (= ${binary:Version}),
         python-netaddr,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-oops-wsgi,
         python-psycopg2,
         python-sphinx,
         python-tempita,
         python-twisted,
         python-txamqp,
         python-txlongpoll,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Description: Ubuntu MAAS Server - (django files)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the Django files.

Package: maas-dhcp
Architecture: all
Depends: isc-dhcp-server, ${misc:Depends}
Conflicts: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Description: Ubuntu MAAS Server - DHCP Configuration (meta-package)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package configures a DHCP that can be used with MAAS.

Package: maas-dns
Architecture: all
Depends: bind9,
 maas-region-controller (= ${binary:Version}),
 maas-dhcp (= ${binary:Version}),
 ${misc:Depends}
Conflicts: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Description: Ubuntu MAAS Server - DNS configuration (metapackage)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package configures a DNS that can be used with MAAS.
